<?php

function WPNGG_NIVOSLIDER_plugin_url( $path = '' ) {
	return plugins_url( $path, WPNGG_NIVOSLIDER_PLUGIN_BASENAME );
}

function WPNGG_NIVOSLIDER_register_scripts() {
	if( !is_admin() ) {
		wp_register_script( 'jquery-nivo-slider', WPNGG_NIVOSLIDER_plugin_url( 'script/jquery.nivo.slider.js' ), array('jquery'), '2.4', false );    
		wp_register_script( 'jquery-shuffle', WPNGG_NIVOSLIDER_plugin_url( 'script/jquery.jj_ngg_shuffle.js' ), array('jquery'), '', false );    
		wp_register_script( 'jquery-jjnggutils', WPNGG_NIVOSLIDER_plugin_url( 'script/jjnggutils.js' ), array('jquery'), '', false );  
	}
}

function WPNGG_NIVOSLIDER_enqueue_styles() {
	if( !is_admin() ) {  
		wp_enqueue_style( 'jquery-plugins-slider-style', WPNGG_NIVOSLIDER_plugin_url( 'stylesheets/nivo-slider.css' ), array(), '', 'all' );
	}
}

function WPNGG_NIVOSLIDER_use_default($instance, $key) {
	return !array_key_exists($key, $instance) || trim($instance[$key]) == '';
}

function ngg_nivoslider_shortcode_handler($atts) {
	// Enqueue script within shortcode handles for conditional loading
	wp_enqueue_script( 'jquery' );
	wp_enqueue_script( 'jquery-nivo-slider' );    
	wp_enqueue_script( 'jquery-shuffle' );    
	wp_enqueue_script( 'jquery-jjnggutils' ); 

	$instance = array();
	foreach($atts as $att => $val) {
		$instance[$att] = $val;
	}

	// Set defaults
	if(WPNGG_NIVOSLIDER_use_default($instance, 'html_id')) { $instance['html_id'] = 'slider'; } 
	if(WPNGG_NIVOSLIDER_use_default($instance, 'order')) { $instance['order'] = 'random'; } 
	if(WPNGG_NIVOSLIDER_use_default($instance, 'center')) { $instance['center'] = '1'; } 
	$instance['shortcode'] = '1';

	ob_start();
	the_widget("NGG_NivoSlider", $instance, array());
	$output = ob_get_contents();
	ob_end_clean();
	return $output;    
}

?>